#ifndef BLOCK_H_
#define BLOCK_H_

#include "BlockType.h"
#include "../domain_and_range/DomainPoint.h"
#include "../domain_and_range/RangePoint.h"

class Block
{
public:
	int blockId;

	BlockType* blockType;

	int nExtVars;
	int* varId;



public:


	RangePoint* evaluate(DomainPoint* U);

	Block();
	virtual ~Block();
};

#endif /*BLOCK_H_*/
